%define name    libsndfile
%define version 1.0.4
%define release 1mdk
%define major 1
%define libname %name%major

Summary: A library to handle various audio file formats.
Name: %{name}
Version: %{version}
Release: %{release}
Prefix: %{prefix}
License: LGPL
Group: Sound
Source: http://www.zip.com.au/~erikd/libsndfile/libsndfile-%{version}.tar.bz2
URL: http://www.zip.com.au/~erikd/libsndfile/
BuildRoot: %_tmppath/%{name}-%{version}

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package -n %libname
Summary: Shared library of sndfile
Group: System/Libraries

%description -n %libname
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

This package contains the shared library to run applications based on
libsndfile.

%package -n %libname-devel 
Summary: Libraries, includes, etc to develop libsndfile applications 
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %libname-devel
Libraries, include files, etc you can use to develop libsndfile applications.

%package -n %libname-static-devel 
Summary: Static Library for developing libsndfile applications.
Group: Development/C
Requires: %libname-devel = %version-%release

%description -n %libname-static-devel
This contains the static library of libsndfile needed for building apps that
link statically to libsndfile.

%package progs
Summary: Example progs based on libsndfile.
Group: Sound 

%description progs
This contains sndfile-info for printing information about a sound
file and sndfile-play for playing a sound file.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std transform=""

%clean
rm -rf %buildroot

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%_libdir/libsndfile.so.*

%files -n %libname-devel
%defattr(-,root,root)
%doc doc/*html doc/*css doc/*jpg doc/new_file_type.HOWTO
%{_libdir}/libsndfile.la
%{_libdir}/libsndfile.so
%{_includedir}/sndfile.h
%{_libdir}/pkgconfig/sndfile.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/libsndfile.a

%files progs
%defattr(-,root,root)
%_bindir/*
%_mandir/man1/*
%_datadir/octave/site/m/*

%changelog
* Mon Feb 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Mon Dec 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- new version

* Wed Dec 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- fix names of the binaries

* Sun Nov 24 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

* Thu Nov 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- add man pages and octave macros to progs package

* Sat Sep 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- rearrange docs
- split out progs and static-devel packages
- new version

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- provide pkgconfig/sndfile.pc

* Thu Aug 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- new major version 1
- 1.0.0

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.0.28-1mdk
- initial mdk package

* Thu Jul 6 2000 Josh Green <jgreen@users.sourceforge.net>
- Created libsndfile.spec.in
